Encrypt API for Blocking Card

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Encrypt API request parameters varies based on the API with which it is used for. This section describes the Encrypt API used with Block Card API.

Sandboxpayusandbox-kong.pc.enstage-sas.com/api/v2/encrypt
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'content-type: application/json' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "messageCode": "1240",
  "clientTxnId": "Block_20240401101001",
  "requestDateTime": "20240408101000",
  "last4Digits": "7357",
  "urn": "5",
  "customerId": "ajaytestsandbox1",
  "blockType": "Temporary",
  "reserved1": "Reserved Field_1",
  "reserved2": "Reserved Field_2"
}
'
Sample response
{
  "token": "nYQmhDKcjYl1qk3PO9VioFyj5TCODSM6qzIzY93HEiLueHk5w/D48Gd1DQg6kFgGgo6hky5OyraBzDkYGYHLx7JG18UlMBbAWoxXiSQ/kIN+Jnik1mvLMRYqdiVobsdau4mL3wiLa/SHZY/t8+fX/2RMnnSemBIKIxcAafj6EAW17WKJh2c70d9Iemuy4/lBu18qIuKegVfY90eAlGPjtNtvOc3yzeuRU7R9Pu/7CsTw/UAzqLttNq/iJuf6p2OG1zvWDnFZOQ7X7MQV1zfWafyO/vLTtUTdq9V9kdJqjkUee36lkBnEBgZwmu/sZwPm2FcwOTi+Vwkhg8VcwmY7DJaHcvv8PPT3jOaQDLU/z8w="
}

Request parameters

Body Params
const
enum
required

This parameter must include the message code. It is 1240 for the Block Card API.

Allowed:
string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

string
required

This parameter must contain the last four digits of the card number.

string
required

This parameter must contain the URN.

string
required

This parameter must include an unique customer identifier. If the value is not posted, WIBMO will generate a numeric ID for the same.

string
required

This parameter must contain the type of block

string

This parameter must contain the audit details for block request, if required.

string

This parameter must contain the reason for card block, if required.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!